
void _efl_canvas_filter_internal_filter_changed_set(Eo *obj, Evas_Filter_Data *pd, Eina_Bool val);


static Eina_Error
__eolian_efl_canvas_filter_internal_filter_changed_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   evas_filter_changed_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(evas_filter_changed_set, EFL_FUNC_CALL(val), Eina_Bool val);

void _efl_canvas_filter_internal_filter_invalid_set(Eo *obj, Evas_Filter_Data *pd, Eina_Bool val);


static Eina_Error
__eolian_efl_canvas_filter_internal_filter_invalid_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   evas_filter_invalid_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(evas_filter_invalid_set, EFL_FUNC_CALL(val), Eina_Bool val);
EVAS_API EVAS_API_WEAK EFL_FUNC_BODY(evas_filter_input_alpha, Eina_Bool, 0);
EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODYV(evas_filter_state_prepare, EFL_FUNC_CALL(state, data), Efl_Canvas_Filter_State *state, void *data);
EVAS_API EVAS_API_WEAK EFL_FUNC_BODYV(evas_filter_input_render, Eina_Bool, 0, EFL_FUNC_CALL(filter, engine, output, drawctx, data, l, r, t, b, x, y, do_async), void *filter, void *engine, void *output, void *drawctx, void *data, int l, int r, int t, int b, int x, int y, Eina_Bool do_async);
EVAS_API EVAS_API_WEAK EFL_VOID_FUNC_BODY(evas_filter_dirty);

void *_efl_canvas_filter_internal_filter_output_buffer_get(const Eo *obj, Evas_Filter_Data *pd);

EVAS_API EVAS_API_WEAK EFL_FUNC_BODY_CONST(evas_filter_output_buffer_get, void *, NULL);

Efl_Object *_efl_canvas_filter_internal_efl_object_constructor(Eo *obj, Evas_Filter_Data *pd);


void _efl_canvas_filter_internal_efl_object_destructor(Eo *obj, Evas_Filter_Data *pd);


void _efl_canvas_filter_internal_efl_gfx_filter_filter_program_set(Eo *obj, Evas_Filter_Data *pd, const char *code, const char *name);


void _efl_canvas_filter_internal_efl_gfx_filter_filter_program_get(const Eo *obj, Evas_Filter_Data *pd, const char **code, const char **name);


void _efl_canvas_filter_internal_efl_gfx_filter_filter_state_set(Eo *obj, Evas_Filter_Data *pd, const char *cur_state, double cur_val, const char *next_state, double next_val, double pos);


void _efl_canvas_filter_internal_efl_gfx_filter_filter_state_get(const Eo *obj, Evas_Filter_Data *pd, const char **cur_state, double *cur_val, const char **next_state, double *next_val, double *pos);


void _efl_canvas_filter_internal_efl_gfx_filter_filter_padding_get(const Eo *obj, Evas_Filter_Data *pd, int *l, int *r, int *t, int *b);


void _efl_canvas_filter_internal_efl_gfx_filter_filter_source_set(Eo *obj, Evas_Filter_Data *pd, const char *name, Efl_Gfx_Entity *source);


Efl_Gfx_Entity *_efl_canvas_filter_internal_efl_gfx_filter_filter_source_get(const Eo *obj, Evas_Filter_Data *pd, const char *name);


void _efl_canvas_filter_internal_efl_gfx_filter_filter_data_set(Eo *obj, Evas_Filter_Data *pd, const char *name, const char *value, Eina_Bool execute);


void _efl_canvas_filter_internal_efl_gfx_filter_filter_data_get(const Eo *obj, Evas_Filter_Data *pd, const char *name, const char **value, Eina_Bool *execute);

static void __eolian_efl_canvas_filter_internal_efl_gfx_filter_filter_data_get(const Eo *obj, Evas_Filter_Data *pd, const char *name, const char **value, Eina_Bool *execute)
{
   if (execute) *execute = EINA_FALSE;
   _efl_canvas_filter_internal_efl_gfx_filter_filter_data_get(obj, pd, name, value, execute);
}


static Eina_Bool
_efl_canvas_filter_internal_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_CANVAS_FILTER_INTERNAL_EXTRA_OPS
#define EFL_CANVAS_FILTER_INTERNAL_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(evas_filter_changed_set, _efl_canvas_filter_internal_filter_changed_set),
      EFL_OBJECT_OP_FUNC(evas_filter_invalid_set, _efl_canvas_filter_internal_filter_invalid_set),
      EFL_OBJECT_OP_FUNC(evas_filter_input_alpha, NULL),
      EFL_OBJECT_OP_FUNC(evas_filter_state_prepare, NULL),
      EFL_OBJECT_OP_FUNC(evas_filter_input_render, NULL),
      EFL_OBJECT_OP_FUNC(evas_filter_dirty, NULL),
      EFL_OBJECT_OP_FUNC(evas_filter_output_buffer_get, _efl_canvas_filter_internal_filter_output_buffer_get),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_canvas_filter_internal_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_canvas_filter_internal_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_program_set, _efl_canvas_filter_internal_efl_gfx_filter_filter_program_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_program_get, _efl_canvas_filter_internal_efl_gfx_filter_filter_program_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_state_set, _efl_canvas_filter_internal_efl_gfx_filter_filter_state_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_state_get, _efl_canvas_filter_internal_efl_gfx_filter_filter_state_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_padding_get, _efl_canvas_filter_internal_efl_gfx_filter_filter_padding_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_source_set, _efl_canvas_filter_internal_efl_gfx_filter_filter_source_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_source_get, _efl_canvas_filter_internal_efl_gfx_filter_filter_source_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_data_set, _efl_canvas_filter_internal_efl_gfx_filter_filter_data_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_filter_data_get, __eolian_efl_canvas_filter_internal_efl_gfx_filter_filter_data_get),
      EFL_CANVAS_FILTER_INTERNAL_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"filter_changed", __eolian_efl_canvas_filter_internal_filter_changed_set_reflect, NULL},
      {"filter_invalid", __eolian_efl_canvas_filter_internal_filter_invalid_set_reflect, NULL},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_canvas_filter_internal_class_desc = {
   EO_VERSION,
   "Efl.Canvas.Filter.Internal",
   EFL_CLASS_TYPE_MIXIN,
   sizeof(Evas_Filter_Data),
   _efl_canvas_filter_internal_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_canvas_filter_internal_mixin_get, &_efl_canvas_filter_internal_class_desc, NULL, EFL_GFX_FILTER_INTERFACE, NULL);
